package com.rjconsultores.ventaboletos.vo.busquedapacotes;

import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlTransient;
import javax.xml.bind.annotation.XmlType;

@XmlRootElement(name="passageiro")
@XmlType(propOrder = { "nome", "documento", "categoria", "assento", "boletoId" })
public class PassageiroVO {
	
	private Long vendapacoteId;
	private Long tarifavendapacoteId;
	private Long boletoId;	
	private String assento;
	private String nome;
	private String documento;
	private String categoria;
	
	public String getNome() {
		return nome;
	}
	public void setNome(String nome) {
		this.nome = nome;
	}
	public String getDocumento() {
		return documento;
	}
	public void setDocumento(String documento) {
		this.documento = documento;
	}
	public String getCategoria() {
		return categoria;
	}
	public void setCategoria(String categoria) {
		this.categoria = categoria;
	}
	public Long getBoletoId() {
		return boletoId;
	}
	public void setBoletoId(Long boletoId) {
		this.boletoId = boletoId;
	}

	@XmlTransient
	public Long getVendapacoteId() {
		return vendapacoteId;
	}
	
	public void setVendapacoteId(Long vendapacoteId) {
		this.vendapacoteId = vendapacoteId;
	}
	
	@XmlTransient
	public Long getTarifavendapacoteId() {
		return tarifavendapacoteId;
	}
	public void setTarifavendapacoteId(Long tarifavendapacoteId) {
		this.tarifavendapacoteId = tarifavendapacoteId;
	}
	public String getAssento() {
		return assento;
	}
	public void setAssento(String assento) {
		this.assento = assento;
	}
	
}
